#version 330 core

uniform float uTime;

uniform vec4 uColor;
uniform float uDepth;

out vec4 fragColor;
out float gl_FragDepth;

void main()
{
    if (uColor.a == 0.0)
        discard;

    fragColor = uColor;
    gl_FragDepth = uDepth;
}